Payments
API reference
Retrieve multiple payment details by payment filtered by various parameters
Endpoint: /v1/payments
GET
https://sandbox.crbcos.com/cardpayments/v1/payments
curl --location 'https://sandbox.crbcos.com/cardpayments//v1/payments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer Token'{
"name": "Endpoint: /v1/payments",
"method": "GET",
"url": "https://sandbox.crbcos.com/cardpayments/v1/payments",
"description": "",
"tab": "examples",
"examples": {
"languages": [
{
"id": "m2Ue7Qz6dVWcDZ36gKpPo",
"language": "curl",
"code": "",
"customLabel": ""
},
{
"id": "VeeGmwkA_clEzxjzmMBUK",
"language": "nodejs",
"code": "",
"customLabel": ""
},
{
"id": "BP-IjxQK-9xJ_YCWNyGNx",
"language": "python",
"code": "i",
"customLabel": ""
},
{
"id": "xu3xbbWT_a-_Y7mcgL0S3",
"language": "ruby",
"code": "",
"customLabel": ""
},
{
"id": "yes-XNvEAr36pmLaxLh_p",
"language": "go",
"code": "package main\n\nimport (\n \"fmt\"\n \"strings\"\n \"net/http\"\n \"io\"\n)\n\nfunc main() {\n\n url := \"https://pushtopaystaging.crbnj.net/api/transaction\"\n method := \"POST\"\n\n payload := strings.NewReader(`{`+\"\n\"+`\n \"requestId\": \"e8706349-a373-44c7-8dfc-8c4e4f13a001\",`+\"\n\"+`\n \"cardToken\": \"A5D4B6AA33A64F718A49B18FE0CDC6AF000000\",`+\"\n\"+`\n \"amount\": 200,`+\"\n\"+`\n \"sourceSenderName\": \"My Company\"`+\"\n\"+`\n`+\"\n\"+`\n}`)\n\n client := &http.Client {\n }\n req, err := http.NewRequest(method, url, payload)\n\n if err != nil {\n fmt.Println(err)\n return\n }\n req.Header.Add(\"Content-Type\", \"application/json\")\n req.Header.Add(\"Authorization\", \"Bearer token\")\n\n res, err := client.Do(req)\n if err != nil {\n fmt.Println(err)\n return\n }\n defer res.Body.Close()\n\n body, err := io.ReadAll(res.Body)\n if err != nil {\n fmt.Println(err)\n return\n }\n fmt.Println(string(body))\n}",
"customLabel": ""
}
],
"selectedLanguageId": "m2Ue7Qz6dVWcDZ36gKpPo"
},
"results": {
"languages": [
{
"id": "qaLRHBp_njcq9NhtL7R3X",
"language": "200",
"code": "",
"customLabel": ""
}
],
"selectedLanguageId": "qaLRHBp_njcq9NhtL7R3X"
},
"request": {
"pathParameters": [],
"queryParameters": [
{
"name": "from",
"kind": "optional",
"type": "string",
"description": "",
"": "from"
},
{
"name": "to",
"kind": "optional",
"type": "string",
"description": "",
"": "to"
},
{
"name": "partnerId",
"kind": "optional",
"type": "string",
"description": "",
"": "partnerId"
},
{
"name": "productId",
"kind": "optional",
"type": "string",
"description": "",
"": "productId"
},
{
"name": "cardBrand",
"kind": "optional",
"type": "string",
"description": "",
"": "cardBrand"
},
{
"name": "paymentType",
"kind": "optional",
"type": "string",
"description": "",
"": "paymentType"
},
{
"name": "status",
"kind": "optional",
"type": "string",
"description": "",
"": "status"
},
{
"name": "issuerCountryCode",
"kind": "optional",
"type": "string",
"description": "",
"": "issuerCountryCode"
},
{
"name": "clientIdentifier",
"kind": "optional",
"type": "string",
"description": "",
"": "clientIdentifier"
},
{
"name": "pageNumber",
"kind": "optional",
"type": "number",
"description": "",
"": "number"
},
{
"name": "pageSize",
"kind": "optional",
"type": "number",
"description": "",
"": "number"
}
],
"headerParameters": [],
"bodyDataParameters": [],
"formDataParameters": []
},
"currentNewParameter": {
"label": "Query Parameter",
"value": "queryParameters"
},
"response": [
{
"name": "results",
"kind": "optional",
"type": "object",
"description": "",
"children": [
{
"name": "id",
"kind": "optional",
"type": "string",
"description": "",
"children": []
},
{
"name": "originalPaymentId",
"kind": "optional",
"type": "string",
"description": " A UUID that is the primary identifier for the payment.",
"children": []
},
{
"name": "clientIdentifier",
"kind": "optional",
"type": "string",
"description": " A string that identifies the client associated with the payment.",
"children": []
},
{
"name": "amount",
"kind": "optional",
"type": "string",
"description": "The amount to be transferred, in cents. For example, 10001 = $100.01.",
"children": []
},
{
"name": "paymentType",
"kind": "optional",
"type": "string",
"description": "Indicates the direction of the payment:\nPush - Money sent out (e.g. disbursement to a customer)\nPull - Money received (e.g. a charge to a customer's card)",
"children": []
},
{
"name": "status",
"kind": "optional",
"type": "string",
"description": "One of \"Created\",\n \"Pending\",\n \"Authorized\",\n \"Submitted\",\n \"Processing\",\n \"Completed\",\n \"Rejected\",\n \"Failed\"",
"children": []
},
{
"name": "productId",
"kind": "optional",
"type": "string",
"description": " A UUID that identifies the product, as defined in COS.",
"children": []
},
{
"name": "partnerId",
"kind": "optional",
"type": "string",
"description": " A UUID that identifies the partner, as defined in COS.",
"children": []
},
{
"name": "cardId",
"kind": "optional",
"type": "string",
"description": " A UUID that identifies the card used.",
"children": []
},
{
"name": "network",
"kind": "optional",
"type": "string",
"description": "The network through which the payment is processed (e.g. Visa, Mastercard).",
"children": []
},
{
"name": "cardBrand",
"kind": "optional",
"type": "string",
"description": "One of \"AmericanExpress\",\n \"ChinaUnionPay\",\n \"Dankort\",\n \"DinersClub\",\n \"Discover\",\n \"Hipercard\",\n \"JCB\",\n \"Laser\",\n \"Maestro\",\n \"MasterCard\",\n \"RuPay\",\n \"Solo\",\n \"Switch\",\n \"Visa\",\n \"Unknown\"",
"children": []
},
{
"name": "panLastFour",
"kind": "optional",
"type": "string",
"description": "The last four digits of the Primary Account Number (card number).",
"children": []
},
{
"name": "issuerCountryCode",
"kind": "optional",
"type": "string",
"description": "A string representing the country code of the card issuer.",
"children": []
},
{
"name": "retrievalReferenceId",
"kind": "optional",
"type": "string",
"description": "A unique identifier used for retrieving transaction details, often used in disputes or reconciliation.",
"children": []
},
{
"name": "reasonCode",
"kind": "optional",
"type": "string",
"description": "A 2-digit code signifying the transaction result (approved or decline). For example, 00 means successful.",
"children": []
},
{
"name": "resonDescription",
"kind": "optional",
"type": "string",
"description": "A string describing the transaction result. For example, Approved.",
"children": []
},
{
"name": "traceNumber",
"kind": "optional",
"type": "string",
"description": "A unique number assigned to a transaction from the time it leaves the merchant bank until it arrives at the cardholder bank",
"children": []
},
{
"name": "originator",
"kind": "optional",
"type": "object",
"description": "References information about who initiated the transaction, linking to an OriginatorInfo object.",
"children": []
},
{
"name": "mcc",
"kind": "optional",
"type": "string",
"description": "Merchant Category Code (MCC). 4-digits that a credit card issuer uses to categorize consumer transactions for their card.",
"children": []
},
{
"name": "merchantVerificationValue",
"kind": "optional",
"type": "string",
"description": "A value used to verify the merchant's identity.",
"children": []
},
{
"name": "accountNumber",
"kind": "optional",
"type": "string",
"description": "The account number associated with the payment.",
"children": []
},
{
"name": "coreTransactionId",
"kind": "optional",
"type": "string",
"description": "A UUID that links the payment to the core banking system.",
"children": []
},
{
"name": "memoPostId",
"kind": "optional",
"type": "string",
"description": "A UUID that identifies the corresponding memo post (a temporary transaction posting).",
"children": []
},
{
"name": "memoPostRemovedAt",
"kind": "optional",
"type": "string",
"description": "When the memo post was removed. I.e. When the temporary hold was released.",
"children": []
},
{
"name": "wasRefunded",
"kind": "optional",
"type": "boolean",
"description": "Boolean value indicating whether the payment has been refunded.",
"children": []
},
{
"name": "refundPaymentId",
"kind": "optional",
"type": "string",
"description": "A UUID that identifies the refund transaction associated with the payment.",
"children": []
},
{
"name": "createdAt",
"kind": "optional",
"type": "string",
"description": "When the payment was created",
"children": []
},
{
"name": "authorizedOn",
"kind": "optional",
"type": "string",
"description": "When the payment was authorized by the issuing bank.",
"children": []
},
{
"name": "submittedOn",
"kind": "optional",
"type": "string",
"description": "When the payment was submitted to the network.",
"children": []
},
{
"name": "rejectedAt",
"kind": "optional",
"type": "string",
"description": "When the payment was rejected.",
"children": []
},
{
"name": "completedAt",
"kind": "optional",
"type": "string",
"description": "When the payment was successfully completed.",
"children": []
},
{
"name": "failedAt",
"kind": "optional",
"type": "string",
"description": "When the payment failed to process.",
"children": []
},
{
"name": "limitsEligibleOn",
"kind": "optional",
"type": "string",
"description": "When the transaction becomes eligible for limit calculations.",
"children": []
},
{
"name": "lastModifiedAt",
"kind": "optional",
"type": "string",
"description": "When the payment record was last modified.",
"children": []
}
]
},
{
"name": "pageNumber",
"kind": "optional",
"type": "integer",
"description": "",
"children": []
},
{
"name": "pageSize",
"kind": "optional",
"type": "integer",
"description": "",
"children": []
},
{
"name": "hasPreviousPage",
"kind": "optional",
"type": "boolean",
"description": "",
"children": []
},
{
"name": "hasNextPage",
"kind": "optional",
"type": "boolean",
"description": "",
"children": []
}
]
}